Compatibility of Intel® Compiler for OS X* and Xcode*

 

Supported OS *X and Xcode* versions based on the latest available Intel® C++  and Fortran Compiler and Intel® Composer XE posted here.

OS X* Version

Xcode* Version

Intel® Compiler 9.1

(32-bit)

Intel® Compiler 10.1

(32-bit,64-bit)

Intel® Compiler 11.1

(32-bit, 64-bit)

Intel® Composer XE 2011

(32-bit, 64-bit)

Intel® Composer XE 2013

(32-bit, 64-bit)

10.4.x

2.3

X

 

 

 

 

2.4

X

 

 

 

 

2.4.1

X

 

 

 

 

10.4.11

2.4.1

X

X

 

 

 

10.5.x

3.0

 

X

 

 

 

10.5.x

3.1.x

 

X

X

Up to update 5

 

10.6.x

3.2.1  

 

 

X

X

 

10.6.x

3.2.2* 3.2.3* 3.2.4*

 

 

Not Recommended

Not Recommended

 

10.6.x

3.2.5 3.2.6

 

 

X

X

 

10.6.x

4.0

 

 

 

X

 

10.6.x

4.2

 

 

 

Update 6 or later

 

10.7.x

4.1

 

 

 

Update 6 or later

 

10.7.x

4.2

 

 

 

Update 8 or later

 

10.7.x

4.3

 

 

 

Update 9 or later

Up to update 1

10.7.x

4.4

Update 3 or later

10.7.x

4.5

Update 3 or later

10.7.x

4.6

Update 3 or later

10.8

4.3

Update 1

10.8

4.4

 

 

 

 Update 12 or later

10.8

4.5 

 

 

 

 

Update 1 or later

10.8

4.6

Update 3 or later


  *   - There are known incompatibilities with this version of Xcode*.  If you are running into problems, refer to the knowledge base and user forums for known issues and solution.

If doing command line development with Xcode* 4.3 or later, the Command Line Tools component of Xcode* is required.

For further information on future 64-bit compiler support in the Intel C++ and Fortran Compilers for OS X*, please visit Intel® Software Development Products for OS X*.

 

Теги:
Пожалуйста, обратитесь к странице Уведомление об оптимизации для более подробной информации относительно производительности и оптимизации в программных продуктах компании Intel.